#!/usr/bin/env bash

packager \
  "in=encoded/video-1080p-crf31-b3m.mp4,stream=video,segment_template=packaged/main-video-1080p-crf31-b3m-\$Number%04d\$.mp4,init_segment=packaged/main-video-1080p-crf31-b3m-init.mp4" \
  "in=encoded/video-0720p-crf32-b2m.mp4,stream=video,segment_template=packaged/main-video-0720p-crf32-b2m-\$Number%04d\$.mp4,init_segment=packaged/main-video-0720p-crf32-b2m-init.mp4" \
  "in=encoded/video-0540p-crf33-b1m.mp4,stream=video,segment_template=packaged/main-video-0540p-crf33-b1m-\$Number%04d\$.mp4,init_segment=packaged/main-video-0540p-crf33-b1m-init.mp4" \
  "in=encoded/audio-surround-opus-384k.mp4,lang=en,stream=audio,segment_template=packaged/main-audio-surround-opus-384k-\$Number%04d\$.mp4,init_segment=packaged/main-audio-surround-opus-384k-init.mp4" \
  "in=encoded/audio-surround-opus-288k.mp4,lang=en,stream=audio,segment_template=packaged/main-audio-surround-opus-288k-\$Number%04d\$.mp4,init_segment=packaged/main-audio-surround-opus-288k-init.mp4" \
  "in=encoded/audio-stereo-opus-128k.mp4,lang=en,stream=audio,segment_template=packaged/main-audio-stereo-opus-128k-\$Number%04d\$.mp4,init_segment=packaged/main-audio-stereo-opus-128k-init.mp4" \
  "in=encoded/audio-stereo-opus-96k.mp4,lang=en,stream=audio,segment_template=packaged/main-audio-stereo-opus-96k-\$Number%04d\$.mp4,init_segment=packaged/main-audio-stereo-opus-96k-init.mp4" \
  --segment_duration 8 --utc_timings "urn:mpeg:dash:utc:http-xsdate:2014=https://time.akamai.com/?iso&ms" \
  --default_language en \
  --generate_static_live_mpd --mpd_output "packaged/manifest.mpd"

  #"in=encoded/subs.sup,lang=en,stream=text,segment_template=packaged/main-subs-eng-\$Number%04d\$.sup"
#packager \
#  "in=encoded/video-1080p-crf31-b3m.mp4,stream=video,segment_template=packaged/video-1080p-crf31-b3m-\$Number%04d\$.mp4,init_segment=packaged/video-1080p-crf31-b3m-init.mp4,drm_label=mrrp" \
#  "in=encoded/video-0720p-crf32-b2m.mp4,stream=video,segment_template=packaged/video-0720p-crf32-b2m-\$Number%04d\$.mp4,init_segment=packaged/video-0720p-crf32-b2m-init.mp4,drm_label=mrrp" \
#  "in=encoded/video-0540p-crf33-b1m.mp4,stream=video,segment_template=packaged/video-0540p-crf33-b1m-\$Number%04d\$.mp4,init_segment=packaged/video-0540p-crf33-b1m-init.mp4,drm_label=mrrp" \
#  "in=encoded/audio-opus-unknown.mp4,lang=en,stream=audio,segment_template=packaged/audio-opus-unknown-\$Number%04d\$.mp4,init_segment=packaged/audio-opus-unknown-init.mp4,drm_label=mrrp" \
#  --segment_duration 8 --utc_timings "urn:mpeg:dash:utc:http-xsdate:2014=https://time.akamai.com/?iso&ms" \
#  --default_language en \
#  --suggested_presentation_delay 30 \
#  --generate_static_live_mpd --mpd_output "packaged/manifest.mpd"

#sed -i 's/type="static"/type="dynamic"/g' ./packaged/manifest.mpd
#rep="s/mediaPresentationDuration=\".*\"/publishTime=\"$()\"/g"
#sed -i 's/mediaPresentationDuration=".*"/publishTime=""/g'

  #--enable_raw_key_encryption --keys "label=mrrp:key_id=<kid>:key=<key>" \
